SDL_FPoint Struct Reference

The structure that defines a point (floating point) More...

`#include <SDL_rect.h>`

## Data Fields

float | x
float | y

## Detailed Description

The structure that defines a point (floating point)

See also
  SDL_EnclosePoints
  SDL_PointInRect

Definition at line 60 of file SDL_rect.h.

## Field Documentation

## x

float SDL_FPoint::x

Definition at line 62 of file SDL_rect.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawLinesWithRectsF(), RenderDrawPointsWithRects(), RenderDrawPointsWithRectsF(), SDL_CreateRenderer(), SDL_CreateSoftwareRenderer(), SDL_RenderCopyEx(), SDL_RenderCopyExF(), SDL_RenderCopyF(), SDL_RenderDrawLine(), SDL_RenderDrawLineF(), SDL_RenderDrawLines(), SDL_RenderDrawLinesF(), SDL_RenderDrawPoint(), SDL_RenderDrawPointF(), SDL_RenderDrawPoints(), SDL_RenderDrawPointsF(), SDL_RendererEventWatch(), SDL_RenderFillRects(), SDL_RenderFillRectsF(), SDL_RenderGetClipRect(), SDL_RenderGetScale(), SDL_RenderGetViewport(), SDL_RenderSetClipRect(), SDL_RenderSetScale(), SDL_RenderSetViewport(), SDL_SetRenderTarget(), and SW_RenderCopyEx().

## y

float SDL_FPoint::y

Definition at line 63 of file SDL_rect.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawLinesWithRectsF(), RenderDrawPointsWithRects(), RenderDrawPointsWithRectsF(), SDL_CreateRenderer(), SDL_CreateSoftwareRenderer(), SDL_RenderCopyEx(), SDL_RenderCopyExF(), SDL_RenderCopyF(), SDL_RenderDrawLines(), SDL_RenderDrawLinesF(), SDL_RenderDrawPoint(), SDL_RenderDrawPointF(), SDL_RenderDrawPoints(), SDL_RenderDrawPointsF(), SDL_RendererEventWatch(), SDL_RenderFillRects(), SDL_RenderFillRectsF(), SDL_RenderGetClipRect(), SDL_RenderGetScale(), SDL_RenderGetViewport(), SDL_RenderSetClipRect(), SDL_RenderSetScale(), SDL_RenderSetViewport(), SDL_SetRenderTarget(), and SW_RenderCopyEx().

The documentation for this struct was generated from the following file:

- include/SDL_rect.h